# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|

  number_devbox = 2 # Number of master nodes kubernetes
  cpu = 1
  mem = 1024
  config.vm.box = "generic/ubuntu2110" # Image for all installations

  nodes = []
  (0..number_devbox-1).each do |i|
    nodes[i] = {
      "name" => "devbox#{i+1}"
    }
  end

# Provision VM
  nodes.each do |node|
    config.vm.define node["name"] do |machine|
      machine.vm.hostname = node["name"]
      machine.vm.provider "libvirt" do |lv|
        lv.cpus = cpu
        lv.memory = mem
      end
      machine.vm.synced_folder '.', '/vagrant', disabled: true
      machine.vm.provision "ansible" do |ansible|
        ansible.playbook = "playbooks/provision.yml"
        ansible.groups = {
          "k3s" => ["devbox1"],
          "libvirt" => ["devbox2"],
          "all:vars" => {
          }
        }
      end
    end
  end
end
